Bug 228899 - SELinux: change Kconfig to use select instead of depends
Summary: SELinux: change Kconfig to use select instead of depends
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eric Paris
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-15 20:17 UTC by Eric Paris
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-01 19:18:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eric Paris 2007-02-15 20:17:35 UTC
This is upstream work but we want to make SELinux use select instead of depends
in order to make it easy to enable.  Forcing users to know that audit is
required before they an even choose SELinux is a bit unreasonable.

One patch made and submitted but more review needed.

Comment 1 Eric Paris 2007-10-01 19:18:03 UTC
in selinux git tree as of 8/21


Note You need to log in before you can comment on or make changes to this bug.